summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-board/kcheckers')
-rw-r--r--games-board/kcheckers/Manifest1
-rw-r--r--games-board/kcheckers/kcheckers-0.8.1.ebuild44
-rw-r--r--games-board/kcheckers/metadata.xml5
3 files changed, 50 insertions, 0 deletions
diff --git a/games-board/kcheckers/Manifest b/games-board/kcheckers/Manifest
new file mode 100644
index 00000000000..c2b7cb40506
--- /dev/null
+++ b/games-board/kcheckers/Manifest
@@ -0,0 +1 @@
+DIST kcheckers-0.8.1.tar.gz 81431 SHA256 444080f0554a1d65db32231ee18f9a662bfa6148a15cb006eba838c2463e7a2f SHA512 c5febbcc7f0362169879a29a159c86aa4f3d859ee3bebea243535ca07949366078406b87e5e5534586485601b92a79b621cef7ba96f2224acc5331e3624d1b73 WHIRLPOOL b040a382c6bfc09071c67cd89b0717f3287b3bc880b31988dec579f51cb716d67e7aaab7d640488152c570d6eb005d1e769e2dd300acc04919fd4365469ce3d9
diff --git a/games-board/kcheckers/kcheckers-0.8.1.ebuild b/games-board/kcheckers/kcheckers-0.8.1.ebuild
new file mode 100644
index 00000000000..43d6e1a1cf2
--- /dev/null
+++ b/games-board/kcheckers/kcheckers-0.8.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils qt4-r2 games
+
+DESCRIPTION="Qt version of the classic boardgame checkers"
+HOMEPAGE="http://qcheckers.sourceforge.net/"
+SRC_URI="mirror://gentoo/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~ppc x86"
+IUSE=""
+
+DEPEND="dev-qt/qtgui:4"
+
+src_prepare() {
+ sed -i \
+ -e "s:/usr/local:${GAMES_DATADIR}:" \
+ common.h || die
+
+ sed -i \
+ -e "s:PREFIX\"/share:\"${GAMES_DATADIR}:" \
+ main.cc toplevel.cc || die
+}
+
+src_configure() {
+ qt4-r2_src_configure
+}
+
+src_install() {
+ dogamesbin kcheckers
+
+ insinto "${GAMES_DATADIR}"/${PN}
+ doins -r i18n/* themes
+
+ newicon icons/biglogo.png ${PN}.png
+ make_desktop_entry ${PN} KCheckers
+
+ dodoc AUTHORS ChangeLog FAQ README TODO
+ prepgamesdirs
+}
diff --git a/games-board/kcheckers/metadata.xml b/games-board/kcheckers/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/games-board/kcheckers/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>